# TaskOperationDescriptor

interface TaskOperationDescriptor : OperationDescriptor

Describes a task operation for which an event has occurred.

#### Since

2.5

## Functions

getDependencies
Link copied to clipboard
abstract fun getDependencies(): Set<out OperationDescriptor>
Returns the dependencies of the task (other tasks and transforms), if available.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getOriginPlugin
Link copied to clipboard
@Nullable
abstract fun getOriginPlugin(): @Nullable PluginIdentifier
Returns the identifier of the plugin that registered this task, if available.
getParent
Link copied to clipboard
abstract fun getParent(): @Nullable OperationDescriptor
getTaskPath
Link copied to clipboard
abstract fun getTaskPath(): String
Returns the path of the task.